org.eclipse.wst.jsdt.debug.core.model

## Interface IJavaScriptThread

    public interface IJavaScriptThread

JavaScript thread description

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IJavaScriptValue` `evaluate(java.lang.String expression)` Allows the given expression to be evaluated and returns the `Value` of the evaluation.
`int` `getFrameCount()` Returns the total stack frame count

### Method Detail

#### evaluate

    IJavaScriptValue evaluate(java.lang.String expression)

Allows the given expression to be evaluated and returns the `Value` of the evaluation.
This method cannot return `null` and will return a value with `NullValue` instead.

Parameters:
  `expression` - the expression to evaluate, `null` is accepted and will cause a value backed by `NullValue` to be returned
Returns:
  the `IJavaScriptValue` from the evaluation never `null`

#### getFrameCount

    int getFrameCount()

Returns the total stack frame count

Returns:
  the stack frame count